<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="fr"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>UserController.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">qualitelogicieltp</a> &gt; <a href="index.source.html" class="el_package">fr.mds.qualitelogicieltp.controllers</a> &gt; <span class="el_source">UserController.java</span></div><h1>UserController.java</h1><pre class="source lang-java linenums">package fr.mds.qualitelogicieltp.controllers;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import fr.mds.qualitelogicieltp.entities.User;
import fr.mds.qualitelogicieltp.repositories.ProductRepository;
import fr.mds.qualitelogicieltp.repositories.UserRepository;
import fr.mds.qualitelogicieltp.services.ProductService;
import fr.mds.qualitelogicieltp.services.UserService;

@Controller
@RequestMapping(value = &quot;/user&quot;)
public class UserController {

    @Autowired
    private UserService myService;
    private ProductService myProdService;

<span class="fc" id="L26">    public UserController(UserService userService, ProductService productService) {</span>
<span class="fc" id="L27">        this.myService = userService;</span>
<span class="fc" id="L28">        this.myProdService = productService;</span>
<span class="fc" id="L29">    }</span>
    
    @RequestMapping(value = { &quot;/index&quot;, &quot;/&quot; })
    public String index(Model myModel) {
<span class="nc" id="L33">    	myModel.addAttribute(&quot;page&quot;, &quot;User index&quot;);</span>
<span class="nc" id="L34">    	myModel.addAttribute(&quot;items&quot;, myService.findAll());</span>
<span class="nc" id="L35">        return &quot;user/index&quot;;</span>
    }

    @GetMapping(value = {&quot;/create&quot;})
    public String createGet(Model myModel) {
<span class="nc" id="L40">    	myModel.addAttribute(&quot;page&quot;, &quot;User create&quot;);</span>
<span class="nc" id="L41">    	myModel.addAttribute(&quot;products&quot;, myProdService.findAll());</span>
<span class="nc" id="L42">        return &quot;user/create&quot;;</span>
    }

    @PostMapping(value = {&quot;/create&quot;})
    public String createPost(@ModelAttribute User user) {
<span class="nc bnc" id="L47" title="All 2 branches missed.">        if (user != null) {</span>
<span class="nc" id="L48">            myService.save(user);</span>
        }
<span class="nc" id="L50">        return &quot;redirect:index&quot;;</span>
    }

    @PostMapping(value = {&quot;/delete&quot;})
    public String delete(Long id) {
<span class="nc" id="L55">    	User user = myService.getUserById(id);</span>
<span class="nc" id="L56">        myService.delete(user);</span>
<span class="nc" id="L57">        return &quot;redirect:index&quot;;</span>

    }

    @GetMapping(value = {&quot;/show/{id}&quot;})
    public String details(Model myModel, @PathVariable(value = &quot;id&quot;) String id) {
<span class="nc" id="L63">    	myModel.addAttribute(&quot;user&quot;, myService.getUserById(Long.parseLong(id)));</span>
<span class="nc" id="L64">    	myModel.addAttribute(&quot;items&quot;, myService.getUserById(Long.parseLong(id)).getProducts());</span>
<span class="nc" id="L65">        return &quot;user/details&quot;;</span>
    }

}

</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.5.201910111838</span></div></body></html>